Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Jes Sorensen <[email-masked]>
Date: 12 Aug 1999 09:38:58 +0200

>>>>> "Paul" == Paul Mackerras <[email-masked]> writes:

Paul> Jes Sorensen <[email-masked]> wrote:
>> I will have to disagree with you on this one, I consider the PPC
>> implementation to be very broken in this regard.

Paul> "Very broken" - because drivers work and there is no measurable
Paul> performance impact?? !!! ??

Paul> The only possible argument for *not* having the eieio in
Paul> readl/writel is that it hurts performance (actually and
Paul> measurably, not just potentially).

Ok strong wording maybe.

I am just quite displeased when people try to hide the real world from
programmers because most code was written for the x86 by people
without a clue. In the long term I think that sort of approach is
going to bite us since code will not get fixed where it should.

Jes

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]